CVE-2007-0908

Priority
Untriaged
Description
The WDDX deserializer in the wddx extension in PHP 5 before 5.2.1 and PHP 4
before 4.4.5 does not properly initialize the key_length variable for a
numerical key, which allows context-dependent attackers to read stack
memory via a wddxPacket element that contains a variable with a string name
before a numerical variable.
References
Package
Source: php5 (LP Ubuntu Debian)
Upstream:needs-triage
More Information

Updated: 2016-03-23 03:28:17 UTC (commit 10817)